Bug 143066 - Update cad/z88 to version 13.0
Summary: Update cad/z88 to version 13.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-21 20:10 UTC by Pedro F. Giffuni
Modified: 2010-02-08 15:10 UTC (History)
0 users

See Also:


Attachments
file.diff (13.67 KB, patch)
2010-01-21 20:10 UTC, Pedro F. Giffuni
no flags Details | Diff
patch-z88 (20.09 KB, application/octet-stream)
2010-01-21 20:13 UTC, Pedro F. Giffuni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2010-01-21 20:10:04 UTC
- This update uses gtk+ instead of Motif.
- Linux packages tend to use firefox and gedit so I set the
defaults accordingly but this can be changed in the Makefile
so I didn't add them as runtime dependencies.
- FWIW, the website mention this uses glitz but it wasn't
required during the build.
Comment 1 Pedro F. Giffuni 2010-01-21 20:13:43 UTC
Oops.. the previous patch may be incomplete.
This should also include the new patches.


      
Comment 2 Martin Wilke freebsd_committer 2010-01-21 20:37:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2010-01-28 01:45:29 UTC
State Changed
From-To: open->feedback


Hi, 

patch-2 fails to patch right: 

z88mane.pdf                                   100% of 7157 kB  910 kBps 
===>  Extracting for z88-13.0 => MD5 Checksum OK for z88/z88130.tar.gz. 
=> SHA256 Checksum OK for z88/z88130.tar.gz.  => MD5 Checksum OK for 
z88/z88mane.pdf.  => SHA256 Checksum OK for z88/z88mane.pdf.  ===> 
Patching for z88-13.0 ===>  Applying FreeBSD patches for z88-13.0 File 
to patch:
Comment 4 Martin Wilke freebsd_committer 2010-02-08 15:03:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2010-02-08 15:03:32 UTC
miwi        2010-02-08 15:03:20 UTC

  FreeBSD ports repository

  Modified files:
    cad/z88              Makefile distinfo pkg-plist 
    cad/z88/files        patch-z88.fcd z88.sh 
  Added files:
    cad/z88/files        patch-cb88o.c patch-z88.mk.gtk.gcc32 
                         patch-z88.mk.kernel.gcc32 
                         patch-z88.mk.other.gcc32 
  Removed files:
    cad/z88/files        patch-vp88.c patch-z88.mk.kernel 
                         patch-z88.mk.other 
  Log:
  - Update to 13.0
  
  PR:             143066
  Submitted by:   "Pedro F. Giffuni" <giffunip@tutopia.com>
  
  Revision  Changes    Path
  1.6       +24 -19    ports/cad/z88/Makefile
  1.3       +6 -6      ports/cad/z88/distinfo
  1.1       +37 -0     ports/cad/z88/files/patch-cb88o.c (new)
  1.2       +0 -15     ports/cad/z88/files/patch-vp88.c (dead)
  1.2       +6 -6      ports/cad/z88/files/patch-z88.fcd
  1.1       +11 -0     ports/cad/z88/files/patch-z88.mk.gtk.gcc32 (new)
  1.2       +0 -13     ports/cad/z88/files/patch-z88.mk.kernel (dead)
  1.1       +14 -0     ports/cad/z88/files/patch-z88.mk.kernel.gcc32 (new)
  1.3       +0 -23     ports/cad/z88/files/patch-z88.mk.other (dead)
  1.1       +15 -0     ports/cad/z88/files/patch-z88.mk.other.gcc32 (new)
  1.2       +8 -8      ports/cad/z88/files/z88.sh
  1.2       +165 -62   ports/cad/z88/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"